<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;
// use Symfony\Component\Process\Process;
// use Symfony\Component\Process\Process\Exception\ProcessFailException;

class BackupDatabase extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'database:backup';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Backup Database';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
        // $path = storage_path() . "\\app\\backup\\";
        // $filename = "backup-" . time() . ".sql";
        // if(!file_exists($path)) mkdir($path,666,true);
        // $this->process = new Process([
        //             'mysqldump',
        //             '--user=' . env('DB_USERNAME'),
        //             '--password=' . env('DB_PASSWORD'),
        //             '--host=' . env('DB_HOST'),
        //             env('DB_DATABASE'),
        //             '--result-file=' . storage_path() . "\\app\\backup\\" . $filename]
        // );
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    { 
        $path = storage_path("app\backup\\");
        // dd($path);
        $filename = "backup-" . now()->format('Y-m-d-H-i-s') . ".sql";
        if(!file_exists($path)) mkdir($path,666,true);     
        $sqlpath = config('database.connections.mysql.dump.setDumpBinaryPath')."\\"; 
        $command = $sqlpath."mysqldump --user=" . env('DB_USERNAME') ." --password=" . env('DB_PASSWORD') . " --host=" . env('DB_HOST') . " " . env('DB_DATABASE') . "  > " . $path . $filename."  2>&1";
        // dd($command);
        $returnVar = NULL;
        $output  = NULL;
        exec($command, $output, $returnVar);
        // dd($returnVar);
        if(!$returnVar){  
            Log::info('Daily DB Backup - Success'); 
        }
        else{
            Log::info('Daily DB Backup - Failed', $output); 
        }
    }
}
