<?php

namespace App\Exports;

use App\Models\CashExpense;
use App\Models\CashPurchase;
use App\Models\Deposit;
use App\Models\DrivewaySheet;
use App\Models\GeneralLedger;
use App\Models\Header;
use App\Models\Sale;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;

class DirectShopExport implements FromView,ShouldAutoSize
{

    public function view() : View
    {
        $header_query = Header::query()->with('subcategories')->where('station','shop')->get();
        // For Shop Sale
        $shop_cat = $header_query->where('code','cat3')->first();
        $shop_sale_sub_cat = null;
        if (!empty($shop_cat)) {
            $shop_sale_sub_cat = $shop_cat->subcategories;
        }
        $sale = Sale::query()->where('branch_id',session()->get('branch_id'))->get();
        // For Deposit
        $shop_deposit = $header_query->where('code','cat4')->first();
        $shop_deposit_sub_cat = null;
        if (!empty($shop_deposit)) {
            $shop_deposit_sub_cat = $shop_deposit->subcategories;
        }
        $query = DrivewaySheet::query()->where('branch_id',session()->get('branch_id'));

        $drivesheet = $query->get();
        $deposit =  Deposit::query()->where('branch_id',session()->get('branch_id'))->get();
        // For Expense
        $shop_exp = $header_query->where('code','cat1')->first();
        $shop_exp_sub_cat = null;
        if (!empty($shop_exp)) {
            $shop_exp_sub_cat = $shop_exp->subcategories;
        }
        $expense = CashExpense::query()->where('branch_id',session()->get('branch_id'))->get();
        // For Purchase
        $cash_purchase = $header_query->where('code','cat2')->first();
        $shop_cash_purchase_sub_cat = null;
        if (!empty($cash_purchase)) {
            $shop_cash_purchase_sub_cat = $cash_purchase->subcategories;
        }
        $purchase = CashPurchase::query()->where('branch_id',session()->get('branch_id'))->get();
        // For Refund
        $shop_refund = $header_query->where('code','cat29')->first();
        $shop_refund_sub_cat = null;
        if (!empty($shop_refund)) {
            $shop_refund_sub_cat = $shop_refund->subcategories;
        }
        // For Cashier shortage
        $shop_cashier_short = $header_query->where('code','cat20')->first();
        $shop_cashier_short_sub_cat = null;
        if (!empty($shop_cashier_short)) {
            $shop_cashier_short_sub_cat = $shop_cashier_short->subcategories;
        }
        // For Staff
        $shop_staff = $header_query->where('header_name','Shop Staff')->first();
        $shop_staff_sub_cat = null;
        if (!empty($shop_staff)) {
            $shop_staff_sub_cat = $shop_staff->subcategories;
        }
        $general_ledger = GeneralLedger::query()->where('branch_id',session()->get('branch_id'))->get();
        $date = $drivesheet->pluck('date')->unique();
        return view('exports.directShop',compact(
            'deposit','sale','purchase','expense','date',
            'shop_sale_sub_cat','shop_deposit_sub_cat',
            'shop_cash_purchase_sub_cat','shop_exp_sub_cat',
            'general_ledger','shop_refund_sub_cat','shop_cashier_short_sub_cat','shop_staff_sub_cat'
        ));
    }
}
