<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Gate;

class UpdateFuelStockRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Gate::allows('fuel_stock_edit');
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'date' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'fuel_type' => 'required',
            'opening_stock' => [
                'required',
                'numeric',
            ],
            'stock' => 'numeric',
            'closing_dips' => [
                'required',
                'numeric'
            ],
        ];
    }
}
