<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Gate;

class UpdateSheelCardRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Gate::allows('sheel_card_edit');
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'date' => [
                'required',
            ] ,
            'ticket_no.*' => [
                'required',
            ] ,
            'card_no.*' => [
                'required',
            ],
            'ticket_no_new.*' => [
                'required',
                'unique:sheel_cards,ticket_no',
            ] ,
            'card_no_new.*' => [
                'required',
            ],
            // 'fuel' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'ticket_no_new.*.unique' => 'The new ticket no already taken.',
        ];
    }
}
