<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Gate;
class UpdateSpeedPointRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Gate::allows('speed_point_edit');
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'reconcilation_type' => [
                'required',
                'integer',
            ],
            'batch_no' => [
                'required',
            ],
            'bank_account' => [
                'required',
            ],
            'date' => [
                'required',
            ],
            'shift.*' => [
                'nullable',
                'integer',
            ],
            'seq_no.*' =>[
                'required',
                'string',
            ],
            'amount.*' => [
                'numeric',
                'required',
            ],
        ];
    }
}
