<?php

namespace App\Models;

use \DateTimeInterface;
use App\Traits\Auditable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Account extends Model
{
    use SoftDeletes;
    use Auditable;
    use HasFactory;

    public $table = 'accounts';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'date',
        'shift_no',
        'invoice_no',
        'company_name',
        'amount',
        'order_no',
        'veh_reg_no',
        'fleet_no',
        'd_name',
        'created_at',
        'updated_at',
        'deleted_at',
        'branch_id'
    ];

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
    public function supplier()
    {
        return $this->belongsTo(\App\Models\Suplier::class,'company_name','id');
    }
    public function shift()
    {
        return $this->belongsTo(\App\Models\ShiftNo::class,'shift_no','id');
    }
}
