<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\Auditable;

class Deposit extends Model
{
    use HasFactory;
    use Auditable;

    protected $guarded = [];

    public function financialCategory()
    {
        return $this->belongsTo(\App\Models\FinancialCategory::class,'sub_category_id');
    }

    public function bankAccount()
    {
        return $this->belongsTo(\App\Models\BankAccount::class,'bank_account_id');
    }
    public function bank_statement()
    {
        return $this->belongsTo(\App\Models\BankStatement::class,'bank_statement_id');
    }
}
