<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;

class Header extends Model
{
    use HasFactory;
    use Auditable;
    use SoftDeletes;

    protected $guarded = [];

    public function depostiOrSale()
    {
        return $this->hasMany(\app\Models\DepositOrSale::class);
    }

    public function subcategories()
    {
        return $this->hasMany(\App\Models\FinancialCategory::class);
    }

    public function cashExpense()
    {
        return $this->hasMany(\app\Models\CashExpense::class,'header_id');
    }
}
