<?php

namespace App\Models;

use \DateTimeInterface;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;

class PaymentAdvice extends Model
{
    use SoftDeletes;
    use Auditable;
    use HasFactory;

    public $table = 'payment_advices';

    protected $dates = [
        'date',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    // protected $fillable = [
    //     'date',
    //     'd_note_no',
    //     'product',
    //     'r_quantity',
    //     'price',
    //     'created_at',
    //     'updated_at',
    //     'deleted_at',
    // ];

    protected $guarded = [];
    
    public function fuel()
    {
        return $this->belongsTo(\App\Models\Fuel::class);
    }
}
