@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.account.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a>
                        </li>
                        <li class="breadcrumb-item"><a
                                href="{{route('admin.accounts.index')}}">{{trans('cruds.account.title') }}</a>
                        </li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.accounts.index') }}" class="btn add-btn"> <i
                            class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.account.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.id') }}
                                </th>
                                <td>
                                    {{ $account->id }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.date') }}
                                </th>
                                <td>
                                    {{ date('d/m/Y',strtotime($account->date)) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.shift_no') }}
                                </th>
                                <td>
                                    {{ $account->shift->title ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.invoice_no') }}
                                </th>
                                <td>
                                    {{ $account->invoice_no }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.company_name') }}
                                </th>
                                <td>
                                    {{ $account->supplier->suplier ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.amount') }}
                                </th>
                                <td>
                                    {{ $account->amount }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.order_no') }}
                                </th>
                                <td>
                                    {{ $account->order_no }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.veh_reg_no') }}
                                </th>
                                <td>
                                    {{ $account->veh_reg_no }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.fleet_no') }}
                                </th>
                                <td>
                                    {{ $account->fleet_no }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.d_name') }}
                                </th>
                                <td>
                                    {{ $account->d_name }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
