@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.financialCategory.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.headers.index')}}">{{trans('cruds.financialCategory.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.headers.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.create') }} {{ trans('cruds.financialCategory.title') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.headers.store") }}" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label for="station">{{ trans('cruds.header.fields.station')}}</label>
                                <select class="form-control {{$errors->has('station') ? 'is-invalid' : ''}}" name="station" id="station">
                                    <option value="">Please Select</option>
                                    <option value="shop">Shop</option>
                                    <option value="fuel station">Fuel Station</option>
                                </select>
                                @if($errors->first('station'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('station') }}
                                    </div>
                                @endif
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required" for="header_name">{{ trans('cruds.header.fields.header') }}</label>
                                <input class="form-control {{ $errors->has('header_name') ? 'is-invalid' : '' }}" type="text" name="header_name" id="header" value="{{ old('header_name', '') }}" required>
                                @if($errors->has('header_name'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('header_name') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.header.fields.header_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label for="category_type">{{ trans('cruds.header.fields.type')}}</label>
                                <select class="form-control {{$errors->has('category_type') ? 'is-invalid' : ''}}" name="category_type" id="category_type">
                                    <option value="">Please Select</option>
                                    <option value="deposit">Deposit</option>
                                    <option value="sale">Sale</option>
                                    <option value="expense">Expense</option>
                                    <option value="purchase">Purchase</option>
                                    <option value="other">Other</option>
                                </select>
                                @if($errors->first('category_type'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('category_type') }}
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-info" type="reset">
                            {{ trans('global.reset') }}
                        </button>
                        <button class="btn btn-primary" type="submit">
                            {{ trans('global.save') }}
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
