@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.financialCategory.fields.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.financial-categories.index')}}">{{trans('cruds.financialCategory.fields.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.edit')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.financial-categories.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.add') }} {{ trans('cruds.financialCategory.fields.title') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.financial-categories.update",[$financialCategory->id]) }}" enctype="multipart/form-data">
                    @method('PUT')
                    @csrf
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required" for="title">{{ trans('cruds.financialCategory.title') }}</label>
                                <select class="form-control {{ $errors->has('financial_category') ? 'is-invalid' : '' }}" name="financial_category"
                                    id="financial_category" required>
                                    @foreach($headers as $key => $label)
                                    <option value="{{ $key }}" {{ old('financial_category', $financialCategory->header_id) === $key ? 'selected' : '' }}>
                                        {{ $label }}</option>
                                    @endforeach
                                </select>
                                @if($errors->has('financial_category'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('financial_category') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.financialCategory.fields.header_header') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required" for="financial_sub_category">{{ trans('cruds.financialCategory.fields.title') }}</label>
                                <input class="form-control {{ $errors->has('financial_sub_category') ? 'is-invalid' : '' }}" type="text" name="financial_sub_category" id="header" value="{{ old('financial_sub_category', $financialCategory->title) }}" required>
                                @if($errors->has('financial_sub_category'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('financial_sub_category') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.financialCategory.fields.title_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required" for="remarks">{{ trans('cruds.financialCategory.fields.description') }}</label>
                                <input class="form-control {{ $errors->has('remarks') ? 'is-invalid' : '' }}" type="text" maxlength="80" name="remarks" id="remarks" value="{{ old('remarks', $financialCategory->remarks) }}">
                                @if($errors->has('remarks'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('remarks') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.financialCategory.fields.description_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4 my-2">
                            <label class="custom-switch">
                                <input id="status" type="checkbox" {{$financialCategory->status ? 'checked' : ''}} value="1" name="status"
                                    class="custom-control-input">
                                <label class="custom-control-label" for="status">
                                    {{ trans('cruds.financialCategory.fields.status') }}</label>
                            </label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">

                                <button class="btn btn-primary" type="submit">
                                    {{ trans('global.save') }}
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
