@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{ trans('cruds.fuelStock.title_singular') }}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item active">{{ trans('cruds.fuelStock.title') }}</li>
                    </ul>
                </div>
                @can('fuel_stock_create')
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.fuel-stocks.create') }}" class="btn add-btn"> <i class="fa fa-plus"></i>{{ trans('global.add') }} {{ trans('cruds.fuelStock.title_singular') }}</a>
                    </div>
                @endcan
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                {{ trans('cruds.fuelStock.title_singular') }} {{ trans('global.list') }}
            </div>

            <div class="card-body">
                <div class="table-responsive">
                    <table class=" table table-bordered table-hover datatable datatable-fuelStock">
                        <thead>
                            <tr>
                                <th width="10">

                                </th>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.date') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.fuel_type') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.opening_stock') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.purchase') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.stock') }}
                                </th>
                                <th>
                                    {{ trans('cruds.fuelStock.fields.closing_dips') }}
                                </th>
                                <th>
                                    &nbsp;
                                </th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('header_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.fuel-stocks.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

let dtOverrideGlobals = {
    buttons: dtButtons,
    processing: true,
    serverSide: true,
    retrieve: true,
    aaSorting: [],
    ajax: "{{ route('admin.fuel-stocks.index') }}",
    columns: [
      { data: 'placeholder', name: 'placeholder' },
{ data: 'date', name: 'date' },
{ data: 'fuel', name: 'fuel.fuel_name' },
{ data: 'opening_stock', name: 'opening_stock' },
{ data: 'purchase', name: 'purchase' },
{ data: 'stock', name: 'stock' },
{ data: 'closing_dips', name: 'closing_dips' },
{ data: 'actions', name: '{{ trans('global.actions') }}' }
    ],
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  };
  let table = $('.datatable-fuelStock').DataTable(dtOverrideGlobals);
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });

});

</script>
@endsection
