@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.fuel.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.fuels.index')}}">{{trans('cruds.fuel.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.edit')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.fuels.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.edit') }} {{ trans('cruds.fuel.title_singular') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.fuels.update", [$fuel->id]) }}" enctype="multipart/form-data">
                    @method('PUT')
                    @csrf
                    <div class="row">
                        <div class="col-lg-5">
                            <div class="form-group">
                                <label class="required" for="fuel_name">{{ trans('cruds.fuel.fields.fuel') }}</label>
                                <input class="form-control {{ $errors->has('fuel') ? 'is-invalid' : '' }}" type="text" name="fuel_name" id="fuel" value="{{ old('fuel_name', $fuel->fuel_name) }}" required>
                                @if($errors->has('fuel_name'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('fuel_name') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.fuel.fields.fuel_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="form-group">
                                <br><br>
                                <label class="custom-switch">
                                    <input id="is_shell" type="checkbox" value="1" name="is_shell"
                                       {{$fuel->is_shell ? 'checked' : ''}} class="custom-control-input">
                                    <label class="custom-control-label" for="is_shell">
                                        {{ __('Only for shell card') }}</label>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button class="btn btn-primary" type="submit">
                                    {{ trans('global.save') }}
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>



@endsection
