@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.paymentAdvice.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.payment-advices.index')}}">{{trans('cruds.paymentAdvice.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.payment-advices.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.paymentAdvice.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered table-striped">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.paymentAdvice.fields.date') }}
                                </th>
                                <td>
                                    {{ date('d/m/Y',strtotime($paymentAdvice->date)) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.paymentAdvice.fields.invoice_no') }}
                                </th>
                                <td>
                                    {{ $paymentAdvice->invoice}}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.paymentAdvice.fields.d_note_no') }}
                                </th>
                                <td>
                                    {{ $paymentAdvice->d_note_no }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.paymentAdvice.fields.product') }}
                                </th>
                                <td>
                                    {{ $paymentAdvice->fuel->fuel_name }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.paymentAdvice.fields.r_quantity') }}
                                </th>
                                <td>
                                    {{ $paymentAdvice->r_quantity }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.paymentAdvice.fields.price') }}
                                </th>
                                <td>
                                    {{ $paymentAdvice->price }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.paymentAdvice.fields.amount') }}
                                </th>
                                <td>
                                    {{ $paymentAdvice->amount }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
