@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.pump.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.pumps.index')}}">{{trans('cruds.pump.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                @can('pump_create')
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.pumps.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                    </div>
                @endcan
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.create') }} {{ trans('cruds.pump.title_singular') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.pumps.store") }}" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required" for="pump">{{ trans('cruds.pump.fields.pump') }}</label>
                                <input class="form-control {{ $errors->has('pump') ? 'is-invalid' : '' }}" type="text" name="pump" id="pump" value="{{ old('pump', '') }}" required>
                                @if($errors->has('pump'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('pump') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.pump.fields.pump_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label for="detail">{{ trans('cruds.pump.fields.detail') }}</label>
                                <textarea class="form-control {{ $errors->has('detail') ? 'is-invalid' : '' }}" name="detail" id="detail">{{ old('detail') }}</textarea>
                                @if($errors->has('detail'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('detail') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.pump.fields.detail_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="form-group">
                                <br><br>
                                <label class="custom-switch">
                                    <input id="is_fake" type="checkbox" value="1" name="is_fake"
                                        class="custom-control-input">
                                    <label class="custom-control-label" for="is_fake">
                                        {{ __('Not in use') }}</label>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button class="btn btn-info" type="reset">
                                    {{ trans('global.reset') }}
                                </button>
                                <button class="btn btn-primary" type="submit">
                                    {{ trans('global.save') }}
                                </button>
                            </div>

                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>



@endsection
