@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.report.bankingShop')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('cruds.report.bankingShop') }}</li>
                    </ul>
                </div>
                {{-- @can('banking_shop_edit') --}}
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.home') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                    </div>
                {{-- @endcan --}}
            </div>
        </div>
        <div class="card table-responsive">
            <div class="card-header">
                {{ trans('cruds.report.bankingShop') }}
            </div>
            <div class="card-body">
                <div class="row m-b-20">
                    <div class="col-lg-9">
                        <form method="GET" action="{{route('admin.reports.bankingShop')}}">
                            <div class="row filter-row">
                                <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text" name="from_date">
                                        </div>
                                        <label class="focus-label">From</label>
                                    </div>
                                </div>
                               <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text" name="to_date">
                                        </div>
                                        <label class="focus-label">To</label>
                                    </div>
                                </div>
                                <div class="col-sm-4 col-md-3 col-lg-3">
                                    <div class="form-group">
                                        <button class="btn btn-success" id="btnSearch">{{ trans('global.search') }}</button>
                                        <a href="{{route('admin.reports.bankingShop')}}" class="btn btn-info">{{ trans('global.reset') }}</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="col-lg-3 text-right">
                        <a href="{{route('admin.export..bankingShop')}}" class="btn btn-outline-success">Export Excel</a>
                    </div>
                </div>
                @include('exports.bankingShop')
            </div>
        </div>
    </div>
</div>
@endsection
