@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.setting.mailSetting.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.mail.setting')}}">{{trans('cruds.setting.mailSetting.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.home') }}" class="btn add-btn" title="Back"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.setting.mailSetting.title') }}
            </div>

            <div class="card-body">
                <form method="POST" action="{{ route("admin.mail.update") }}" enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="required" for="sender_name">{{ trans('cruds.setting.mailSetting.senderName') }}</label>
                                <input class="form-control  {{ $errors->has('sender_name') ? 'is-invalid' : '' }}" type="text" name="sender_name" id="sender_name" value="{{ old('sender_name','') }}" required>
                                @if($errors->has('sender_name'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('sender_name') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.mailSetting.senderName_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="mail_host">{{ trans('cruds.setting.mailSetting.mailHost') }}</label>
                                <input class="form-control  {{ $errors->has('mail_host') ? 'is-invalid' : '' }}" type="text" name="mail_host" id="mail_host" value="{{ old('mail_host','') }}" required>
                                @if($errors->has('mail_host'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('mail_host') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.mailSetting.mailHost_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="mail_username">{{ trans('cruds.setting.mailSetting.mailUsername') }}</label>
                                <input class="form-control  {{ $errors->has('mail_username') ? 'is-invalid' : '' }}" type="text" name="mail_username" id="mail_username" value="{{ old('mail_username','') }}" required>
                                @if($errors->has('mail_username'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('mail_username') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.mailSetting.mailUsername_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="mail_encryption">{{ trans('cruds.setting.mailSetting.mailEncryption') }}</label>
                                <input class="form-control  {{ $errors->has('mail_encryption') ? 'is-invalid' : '' }}" type="text" name="mail_encryption" id="mail_encryption" value="{{ old('mail_encryption','') }}" required>
                                @if($errors->has('mail_encryption'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('mail_encryption') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.mailSetting.mailEncryption_helper') }}</span>
                            </div>
                        </div>
                    <div class="col-lg-6">
                            <div class="form-group">
                                <label class="required" for="mail_driver">{{ trans('cruds.setting.mailSetting.mailDriver') }}</label>
                                <input class="form-control  {{ $errors->has('mail_driver') ? 'is-invalid' : '' }}" type="text" name="mail_driver" id="mail_driver" value="{{ old('mail_driver','') }}" required>
                                @if($errors->has('mail_driver'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('mail_driver') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.mailSetting.mailDriver_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="mail_port">{{ trans('cruds.setting.mailSetting.mailPort') }}</label>
                                <input class="form-control  {{ $errors->has('mail_port') ? 'is-invalid' : '' }}" type="text" name="mail_port" id="mail_port" value="{{ old('mail_port','') }}" required>
                                @if($errors->has('mail_port'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('mail_port') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.mailSetting.mailPort_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="mail_password">{{ trans('cruds.setting.mailSetting.mailPassword') }}</label>
                                <input class="form-control  {{ $errors->has('mail_password') ? 'is-invalid' : '' }}" type="text" name="mail_password" id="mail_password" value="{{ old('mail_password','') }}" required>
                                @if($errors->has('mail_password'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('mail_password') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.mailSetting.mailPassword_helper') }}</span>
                            </div>
                    </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <button type="submit" class="btn btn-primary" title="Save Settings">{{ __("Save Settings")}}</button>
                            <div class="clear-both"></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
