@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.setting.seo.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.seo.setting')}}">{{trans('cruds.setting.seo.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.home') }}" title="Back" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.setting.seo.title') }}
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-8">
                        <form method="POST" action="{{route('admin.seo.update')}}" enctype="multipart/form-data">
                            <div class="form-group">
                                <label class="required" for="website_keywords">{{ trans('cruds.setting.seo.websiteKeywords') }}</label>
                                <textarea class="form-control  {{ $errors->has('website_keywords') ? 'is-invalid' : '' }}" name="website_keywords" id="website_keywords" required>{{ old('website_keywords','') }}</textarea>
                                @if($errors->has('website_keywords'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('website_keywords') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.seo.websiteKeywords_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="meta_desc">{{ trans('cruds.setting.seo.metadataDesc') }}</label>
                                <textarea class="form-control  {{ $errors->has('meta_desc') ? 'is-invalid' : '' }}" name="meta_desc" id="meta_desc" required>{{ old('meta_desc','') }}</textarea>
                                @if($errors->has('meta_desc'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('meta_desc') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.seo.metadataDesc_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="google_analysis">{{ trans('cruds.setting.seo.googleAnalysis') }}</label>
                                <input class="form-control  {{ $errors->has('google_analysis') ? 'is-invalid' : '' }}" type="text" name="google_analysis" id="google_analysis" value="{{ old('google_analysis','') }}" required>
                                @if($errors->has('google_analysis'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('google_analysis') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.seo.googleAnalysis_helper') }}</span>
                            </div>
                            <div class="form-group">
                                <label class="required" for="fb_pixel">{{ trans('cruds.setting.seo.fbPixel') }}</label>
                                <input class="form-control  {{ $errors->has('fb_pixel') ? 'is-invalid' : '' }}" type="text" name="fb_pixel" id="fb_pixel" value="{{ old('fb_pixel','') }}" required>
                                @if($errors->has('fb_pixel'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('fb_pixel') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.setting.seo.fbPixel_helper') }}</span>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <button type="submit" title="Save Settings" class="btn btn-primary">{{ __("Save Settings")}}</button>
                                    <div class="clear-both"></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
