@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.siteReg.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.site-registers.index')}}">{{trans('cruds.siteReg.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.site-registers.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.siteReg.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.site-registers.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.siteReg.name') }}
                                </th>
                                <td>
                                    {{ $siteReg->name }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.siteReg.site_type') }}
                                </th>
                                <td>
                                    {{ $siteReg->type->name }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.siteReg.country') }}
                                </th>
                                <td>
                                    {{ $siteReg->country }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.siteReg.state') }}
                                </th>
                                <td>
                                    {{ $siteReg->state->name }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.siteReg.city') }}
                                </th>
                                <td>
                                    {{ $siteReg->city->name }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.site-registers.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
