@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.suplier.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.supliers.index')}}">{{trans('cruds.suplier.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                @can('suplier_create')
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.supliers.create') }}" class="btn add-btn"> <i class="fa fa-plus"></i>{{ trans('global.add') }} {{ trans('cruds.suplier.title_singular') }}</a>
                    </div>
                @endcan
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.suplier.title_singular') }} {{ trans('global.list') }}
            </div>

            <div class="card-body">
                <table class=" table table-bordered table-hover ajaxTable datatable datatable-Suplier">
                    <thead>
                        <tr>
                            <th width="10">

                            </th>
                            <th>
                                {{ trans('cruds.suplier.fields.id') }}
                            </th>
                            <th>
                                {{ trans('cruds.suplier.fields.suplier') }}
                            </th>
                            <th>
                                {{ trans('cruds.suplier.fields.mobile_no') }}
                            </th>
                            <th>
                                {{ trans('cruds.suplier.fields.email') }}
                            </th>
                            <th>
                                {{ trans('cruds.suplier.fields.type') }}
                            </th>
                            <th>
                                {{ trans('cruds.suplier.fields.address') }}
                            </th>
                            <th>
                                &nbsp;
                            </th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
        @can('suplier_delete')
        let deleteButtonTrans = '{{ trans('global.datatables.delete') }}';
        let deleteButton = {
            text: deleteButtonTrans,
            url: "{{ route('admin.supliers.massDestroy') }}",
            className: 'bg-inverse-danger',
            action: function (e, dt, node, config) {
            var ids = $.map(dt.rows({ selected: true }).data(), function (entry) {
                return entry.id
            });

            if (ids.length === 0) {
                alert('{{ trans('global.datatables.zero_selected') }}')

                return
            }

            if (confirm('{{ trans('global.areYouSure') }}')) {
                $.ajax({
                headers: {'x-csrf-token': _token},
                method: 'POST',
                url: config.url,
                data: { ids: ids, _method: 'DELETE' }})
                .done(function () { location.reload() })
            }
            }
        }
        dtButtons.push(deleteButton)
        @endcan

        let dtOverrideGlobals = {
            buttons: dtButtons,
            processing: true,
            serverSide: true,
            retrieve: true,
            aaSorting: [],
            ajax: "{{ route('admin.supliers.index') }}",
            columns: [
                { data: 'placeholder', name: 'placeholder',searchable:false,orderable:false},
                {data: 'DT_RowIndex', name: 'DT_RowIndex',searchable:false,orderable:false},
                { data: 'suplier', name: 'suplier' },
                { data: 'mobile_no', name: 'mobile_no' },
                { data: 'email', name: 'email' },
                { data: 'type', name: 'type' },
                { data: 'address', name: 'address' },
                { data: 'actions', name: '{{ trans('global.actions') }}' }
            ],
            orderCellsTop: true,
            order: [[ 0, 'desc' ]],
            pageLength: 100,
        };
        let table = $('.datatable-Suplier').DataTable(dtOverrideGlobals);
        $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
            $($.fn.dataTable.tables(true)).DataTable()
                .columns.adjust();
        });

    });

</script>
@endsection
