@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.userAlert.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item {{Gate::allows('user_alerts_access') ? '' : 'd-none'}}"><a href="{{route('admin.user-alerts.index')}}">{{trans('cruds.userAlert.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ Gate::allows('user_alerts_access') ? route('admin.user-alerts.index') : route('admin.home') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.userAlert.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.userAlert.fields.id') }}
                                </th>
                                <td>
                                    {{ $userAlert->id }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.userAlert.fields.alert_text') }}
                                </th>
                                <td>
                                    {{ $userAlert->alert_text }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.userAlert.fields.alert_link') }}
                                </th>
                                <td>
                                    <a href="{{$userAlert->alert_link}}">{{ $userAlert->alert_link }}</a>
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.userAlert.fields.user') }}
                                </th>
                                <td>
                                    @foreach($userAlert->users as $key => $user)
                                        <span class="label label-info">{{ ucfirst($user->name) }}</span>
                                    @endforeach
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.userAlert.fields.created_at') }}
                                </th>
                                <td>
                                    {{ $userAlert->created_at }}
                                </td>
                            </tr>
                            @php
                              $data =   Auth::user()->userUserAlerts()->where('id',$userAlert->id)->where('read', false)->first();
                              if ($data != null) {
                                  $p_data = $data->pivot;
                                  $p_data->read = true;
                                  $p_data->save();
                              }
                            @endphp
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
