<table class="table table-striped table-hover report-table table-bordered">
    <thead>
        <tr>
            <th>
                {{ trans('cruds.fuelStock.fields.date') }}
            </th>
            <th>
                {{ trans('cruds.fuelStock.fields.opening_stock') }}
            </th>
            <th>
                {{ trans('cruds.fuelStock.fields.purchase') }}
            </th>
            <th>
                {{ trans('cruds.report.pumpReading') }}
            </th>
            <th>
                {{ trans('cruds.report.pec') }}
            </th>
            <th>
                {{ trans('cruds.fuelStock.fields.calculated_stock') }}
            </th>
            <th>
                {{ trans('cruds.report.dips') }}
            </th>
            <th>
                {{ trans('cruds.report.waterlevel') }}
            </th>
            <th>
                {{ trans('cruds.fuelStock.fields.varience') }}
            </th>
            <th>
                {{ trans('cruds.report.varienceper') }}
            </th>
            <th>
                {{ trans('cruds.fuelStock.fields.cumulativeVarience') }}
            </th>
            <th>
                {{ trans('cruds.fuelStock.fields.cumulativeSale') }}
            </th>
            <th>
                {{ trans('cruds.fuelStock.fields.cumulativeSaleLtr') }}
            </th>
            <th>
                {{ trans('cruds.report.pecvspump') }}
            </th>
        </tr>
    </thead>
    <tbody>
        @php
            $last_varience_ltr = 0;
            $last_pec = 0;
        @endphp
        @foreach ($date as $dd)
            <tr>
                <td>
                    {{$dd}}
                </td>
                {{-- Opening stock --}}
                <td>
                    @php
                        $opening_stock = $fuel_stock->where('date',$dd)->sum('opening_stock');
                    @endphp
                    @if ($opening_stock != 0)
                        {{number_format($opening_stock)}}
                    @endif
                </td>
                {{-- Purchase --}}
                <td>
                    @php
                        $purchase = $fuel_stock->where('date',$dd)->sum('purchase');
                    @endphp
                    @if ($purchase != 0)
                        {{number_format($purchase)}}
                    @endif
                </td>
                {{-- Sales Pump Reading --}}
                <td>
                    @php
                        $pump_reading = $drivewaysheet->where('date',$dd)->sum('stock');
                    @endphp
                    @if ($pump_reading != 0)
                        {{number_format($pump_reading,2)}}
                    @endif
                </td>
                {{-- PEC --}}
                <td>
                    @php
                        $pec = $fuel_stock->where('date',$dd)->sum('sale');
                    @endphp
                    @if ($pec != 0)
                        {{number_format($pec,2)}}
                    @endif
                </td>
                {{-- Calculated Stock --}}
                <td>
                    @php
                        $calculated_stock = $opening_stock + $purchase - $pec;
                    @endphp
                    @if ($calculated_stock != 0)
                        {{number_format($calculated_stock)}}
                    @endif
                </td>
                {{-- Physical Dips --}}
                <td>
                    @php
                        $physical_dips = $fuel_stock->where('date',$dd)->sum('closing_dips');
                    @endphp
                    @if ($physical_dips != 0)
                        {{number_format($physical_dips,2)}}
                    @endif
                </td>
                {{-- Water level tank --}}
                <td>
                    @php
                        $water_level = $fuel_stock->where('date',$dd)->sum('water_level');
                    @endphp
                    @if ($water_level != 0)
                        {{number_format($water_level,2)}}
                    @endif
                </td>
                {{-- Variance in ltr --}}
                <td>
                    @php
                        $varience_ltr = $physical_dips - $calculated_stock;
                    @endphp
                    @if ($varience_ltr != 0)
                        {{number_format($varience_ltr)}}
                    @endif
                </td>
                {{-- Variance in % --}}
                <td>
                    @php
                        $varience_per = ($varience_ltr * 100)/$pec;
                    @endphp
                    @if ($varience_per != 0)
                        {{number_format($varience_per,2)}}
                    @endif
                </td>
                {{-- Cumulative Variance in ltr --}}
                <td>
                    @php
                        $cum_varience_ltr = $last_varience_ltr + $varience_ltr;
                    @endphp
                    @if ($cum_varience_ltr != 0)
                        {{number_format($cum_varience_ltr)}}
                    @endif
                </td>
                {{-- Cumulative Sales --}}
                <td>
                    @php
                        $cum_pec_sale = $last_pec + $pec;
                    @endphp
                    @if ($cum_pec_sale != 0)
                        {{number_format($cum_pec_sale)}}
                    @endif
                </td>
                {{-- Cumulative Variance in % --}}
                <td>
                    @php
                        $cum_sal_varience_per = ($cum_varience_ltr * 100) / $cum_pec_sale;
                    @endphp
                    @if ($cum_sal_varience_per != 0)
                        {{number_format($cum_sal_varience_per,2)}}
                    @endif
                </td>
                {{-- PEC vs PUMP Variance --}}
                <td>
                    @php
                        $pec_vs_pump_reading = $pec - $pump_reading
                    @endphp
                    @if ($pec_vs_pump_reading != 0)
                        {{number_format($pec_vs_pump_reading,2)}}
                    @endif
                </td>
            </tr>
            @php
                $last_varience_ltr += $varience_ltr;
                $last_pec += $pec;
            @endphp
        @endforeach
    </tbody>
</table>
