<div class="main-wrapper">
    <div class="sidebar" id="sidebar">
        <div class="sidebar-inner slimscroll">
            <div id="sidebar-menu" class="sidebar-menu">
                <ul>
                    {{-- <li class="menu-title">
                        <span>Main</span>
                    </li> --}}
                    @can('super_admin_access')
                        <li>
                            <a class="{{ Request::is('admin/all-branchs') || Request::is('admin/all-branchs/*') ? 'active' : '' }}"
                                href="{{ route("admin.superAdmin.show")}}">
                                <i class="la la-dashboard"></i><span>{{ trans('global.dashboard') }}</span></a>
                            </a>
                        </li>
                    @endcan

                    <li class="{{ Request::is('admin') ? 'active' : '' }} {{Gate::allows('super_admin_access') ? 'd-none' : ''}}">
                        <a href="{{ route("admin.home") }}"><i
                                class="la la-dashboard"></i><span>{{ trans('global.dashboard') }}</span></a>
                    </li>
                    @can('super_admin_access')
                        <li class="submenu">
                            <a href="#">
                                <i class="las la-code-branch"></i>
                                <span> {{ __('All Branch') }}</span>
                                <span class="menu-arrow"></span></a>
                            <ul style="display: none;">
                                @foreach (\App\Models\SiteRegister::all() as $site)
                                    <li>
                                        <a class="{{ Request::is('admin/branch') || Request::is('admin/branch/*') ? 'active' : '' }}"
                                            href="{{ route("admin.branch.show",[$site->id]) }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ ucfirst($site->name) }}
                                        </a>
                                    </li>
                                @endforeach
                            </ul>
                        </li>
                    @endcan
                    @can('user_management_access')
                        <li class="submenu">
                            <a href="#">
                                <i class="la la-users"></i>
                                <span> {{ trans('cruds.userManagement.title') }}</span>
                                <span class="menu-arrow"></span></a>
                            <ul style="display: none;">
                                @can('permission_access')
                                    <li>
                                       <a class="{{ Request::is('admin/permissions') || Request::is('admin/permissions/*') ? 'active' : '' }}"
                                            href="{{ route("admin.permissions.index") }}">
                                             <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.permission.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('role_access')
                                    <li>
                                        <a class="{{ Request::is('admin/roles') || Request::is('admin/roles/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.roles.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.role.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('user_access')
                                    <li>
                                        <a class="{{ Request::is('admin/users') || Request::is('admin/users/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.users.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.user.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('audit_log_access')
                                    <li>
                                        <a class="{{ Request::is('admin/audit-logs') || Request::is('admin/audit-logs/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.audit-logs.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.auditLog.title') }}
                                        </a>
                                    </li>
                                @endcan
                            </ul>
                        </li>
                    @endcan
                    @can('user_alert_access')
                        <li class="{{ Request::is('admin/user-alerts') || Request::is('admin/user-alerts/*') ? 'active' : '' }}">
                            <a href="{{ route("admin.user-alerts.index") }}">
                                <i class="la la-bell"></i>
                                <span>
                                    {{ trans('cruds.userAlert.title') }}
                                </span>
                            </a>
                        </li>
                    @endcan
                    @can('location_access')
                        <li class="{{ Request::is('admin/country') || Request::is('admin/country/*') ? 'active' : '' }}">
                            <a href="{{ route("admin.country.index") }}"><i
                                    class="la la-globe"></i><span>{{ trans('cruds.siteReg.location') }}</span></a>
                        </li>
                    @endcan
                    @can('super_admin_access')
                        <li class="submenu">
                            <a href="#">
                                <i class="las la-tools"></i>
                                <span> {{ __('System Settings') }}</span>
                                <span class="menu-arrow"></span>
                            </a>
                            <ul style="display:none">
                                @can('pump_access')
                                    <li>
                                        <a class="{{ Request::is('admin/pumps') || Request::is('admin/pumps/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.pumps.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.pump.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('fuel_access')
                                    <li>
                                        <a class="{{ Request::is('admin/fuels') || Request::is('admin/fuels/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.fuels.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.fuel.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('fuel_info_access')
                                    <li>
                                        <a class="{{ Request::is('admin/fuel-infos') || Request::is('admin/fuel-infos/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.fuel-infos.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.fuelInfo.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('currency_access')
                                    <li>
                                        <a class="{{ Request::is('admin/currency-infos') || Request::is('admin/currency-infos/*')  ? 'active' : '' }}"
                                        href="{{ route("admin.currency-infos.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.currencyInfo.title') }}
                                            </a>
                                    </li>
                                @endcan
                                @can('vat_access')
                                    <li>
                                        <a class="{{ Request::is('admin/vats') || Request::is('admin/vats/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.vats.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.vat.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('bank_account_access')
                                    <li>
                                        <a class="{{ Request::is('admin/bank-accounts') || Request::is('admin/bank-accounts/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.bank-accounts.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.bankAccount.title') }}
                                        </a>
                                    </li>
                                @endcan
                            </ul>
                        </li>
                    @endcan
                    @can('fuel_site_access')
                        <li class="submenu">
                            <a href="#">
                                <i class="las la-map-marker"></i>
                                <span> {{ trans('cruds.siteReg.heading') }}</span>
                                <span class="menu-arrow"></span></a>
                            <ul style="display: none;">
                                @can('type_access')
                                    <li>
                                        <a class="{{ Request::is('admin/types') || Request::is('admin/types/*') ? 'active' : '' }}"
                                            href="{{ route("admin.types.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.siteReg.type.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('site_access')
                                    <li>
                                        <a class="{{ Request::is('admin/site-registers') || Request::is('admin/site-registers/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.site-registers.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.siteReg.title') }}
                                        </a>
                                    </li>
                                @endcan
                            </ul>
                        </li>
                    @endcan
                    @can('financial_category_access')
                        <li class="submenu">
                            <a href="#">
                                <i class="las la-sitemap"></i>
                                <span> {{ trans('cruds.financialCategory.title') }}</span>
                                <span class="menu-arrow"></span></a>
                            <ul style="display: none;">
                                @can('category_access')
                                    <li>
                                        <a class="{{ Request::is('admin/headers') || Request::is('admin/headers/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.headers.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.financialCategory.fields.category') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('sub_category_access')
                                    <li>
                                        <a class="{{ Request::is('admin/financial-categories') || Request::is('admin/financial-categories/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.financial-categories.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.financialCategory.fields.subcategory') }}
                                        </a>
                                    </li>
                                @endcan
                            </ul>
                        </li>
                    @endcan
                    @can('driveway_access')
                        <li class="submenu">
                            <a href="#">
                                <i class="la la-gas-pump"></i>
                                <span> {{ trans('cruds.driveway.title') }}</span>
                                <span class="menu-arrow"></span></a>
                            <ul style="display: none;">
                                @can('driveway_sheet_access')
                                    <li>
                                        <a class="{{ Request::is('admin/driveway-sheets') || Request::is('admin/driveway-sheets/*') || Request::is('admin/deposits') || Request::is('admin/deposits/*') || Request::is('admin/sales') || Request::is('admin/sales/*') || Request::is('admin/cashier-sales') || Request::is('admin/cashier-sales/*') ? 'active' : '' }}"
                                            href="{{ route("admin.driveway-sheets.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.drivewaySheet.title') }}
                                        </a>
                                    </li>
                                @endcan

                                {{-- @can('fuel_stock_access')
                                    <li>
                                       <a class="{{ Request::is('admin/fuel-stocks') || Request::is('admin/fuel-stocks/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.fuel-stocks.index") }}">-->
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.fuelStock.title') }}
                                    </a>
                                  </li>
                                @endcan --}}
                                @can('machine_access')
                                    <li>
                                        <a class="{{ Request::is('admin/machines') || Request::is('admin/machines/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.machines.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.machine.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('shift_no_access')
                                    <li>
                                        <a class="{{ Request::is('admin/shift-nos') || Request::is('admin/shift-nos/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.shift-nos.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.shiftNo.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('speed_point_access')
                                    <li>
                                        <a class="{{ Request::is('admin/speed-points') || Request::is('admin/speed-points/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.speed-points.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.speedPoint.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('sheel_card_access')
                                    <li>
                                        <a class="{{ Request::is('admin/sheel-cards') || Request::is('admin/sheel-cards/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.sheel-cards.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.sheelCard.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('driveway_account_info_access')
                                    <li>
                                        <a class="{{ Request::is('admin/account-infos') || Request::is('admin/account-infos/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.account-infos.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.account.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('driveway_account_access')
                                    <li>
                                        <a class="{{ Request::is('admin/driveway-accounts') || Request::is('admin/driveway-accounts/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.driveway-accounts.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ __('Driveway Accounts') }}
                                        </a>
                                    </li>
                                @endcan

                            </ul>
                        </li>
                    @endcan
                    @can('cash_credit_access')
                        <li class="submenu">
                            <a href="#">
                                <i class="la la-money"></i>
                                <span> {{ trans('cruds.cashCredit.title') }}</span>
                                <span class="menu-arrow"></span></a>
                            <ul style="display: none;">
                                @can('cash_expense_access')
                                    <li>
                                        <a class="{{ Request::is('admin/cash-expenses') || Request::is('admin/cash-expenses/*') ? 'active' : '' }}"
                                            href="{{ route("admin.cash-expenses.index") }}">
                                           <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('cruds.cashExpense.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('cash_purchase_access')
                                    <li>
                                        <a class="{{ Request::is('admin/cash-purchases') || Request::is('admin/cash-purchases/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.cash-purchases.index") }}">
                                           <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('cruds.cashPurchase.title') }}
                                        </a>
                                    </li>
                                @endcan
                                <!--@can('deposit_access')-->
                                <!--    <li>-->
                                <!--        <a class="{{ Request::is('admin/deposits') || Request::is('admin/deposits/*')  ? 'active' : '' }}"-->
                                <!--            href="{{ route("admin.deposits.index") }}">-->
                                <!--            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.deposit.title') }}-->
                                <!--        </a>-->
                                <!--    </li>-->
                                <!--@endcan-->
                                <!--@can('sale_access')-->
                                <!--    <li>-->
                                <!--        <a class="{{ Request::is('admin/sales') || Request::is('admin/sales/*')  ? 'active' : '' }}"-->
                                <!--            href="{{ route("admin.sales.index") }}">-->
                                <!--            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.sale.title') }}-->
                                <!--        </a>-->
                                <!--    </li>-->
                                <!--@endcan-->
                                <!--@can('cashier_sale_access')-->
                                <!--    <li>-->
                                <!--        <a class="{{ Request::is('admin/cashier-sales') || Request::is('admin/cashier-sales/*')  ? 'active' : '' }}"-->
                                <!--            href="{{ route("admin.cashier-sales.index") }}">-->
                                <!--            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.cashierSale.title') }}-->
                                <!--        </a>-->
                                <!--    </li>-->
                                <!--@endcan-->
                                @can('general_ledger_access')
                                    <li>
                                        <a class="{{ Request::is('admin/general-ledgers') || Request::is('admin/general-ledgers/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.general-ledgers.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.generalLedger.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('suplier_access')
                                    <li>
                                        <a class="{{ Request::is('admin/supliers') || Request::is('admin/supliers/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.supliers.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.suplier.title') }}
                                        </a>
                                    </li>
                                @endcan
                                 @can('cash_credit_account_access')
                                    <li>
                                        <a class="{{ Request::is('admin/accounts') || Request::is('admin/accounts/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.accounts.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.account.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('payment_advice_access')
                                    <li>
                                        <a class="{{ Request::is('admin/payment-advices') || Request::is('admin/payment-advices/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.payment-advices.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.paymentAdvice.title') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('cashier_access')
                                    <li>
                                        <a class="{{ Request::is('admin/cashier') || Request::is('admin/cashier/*')  ? 'active' : '' }}"
                                            href="{{ route("admin.cashier.index") }}">
                                            <i class="fa fa-fw fa-chevron-right"></i> {{ trans('cruds.cashier.title') }}
                                        </a>
                                    </li>
                                @endcan
                            </ul>
                        </li>
                    @endcan
                    @can('report_access')
                        <li class="submenu">
                            <a href="#">
                            <i class="las la-file-alt"></i>
                            <span> {{ trans('cruds.report.title') }}</span>
                            <span class="menu-arrow"></span></a>
                            <ul style="display: none;">
                                @can('driveway_report_access')
                                    <li>
                                        <a href="{{ route('admin.reports.driveway') }}" class="{{ request()->is('admin/driveway-reports') || request()->is('admin/driveway-reports/*') ? 'active' : '' }}">
                                            <i class="fa fa-fw fa-chevron-right"></i>
                                            {{ trans('cruds.report.drivewayReport') }}
                                        </a>
                                    </li>
                                @endcan
                                <!--@can('sale_report_access')-->
                                <!--    <li>-->
                                <!--        <a href="{{ route('admin.reports.sale') }}" class="{{ request()->is('admin/sale-reports') || request()->is('admin/sale-reports/*') ? 'active' : '' }}">-->
                                <!--            <i class="fa fa-fw fa-chevron-right"></i>-->
                                <!--            {{ trans('cruds.report.saleReport') }}-->
                                <!--        </a>-->
                                <!--    </li>-->
                                <!--@endcan-->
                                @can('banking_shop_report_access')
                                    <li>
                                        <a href="{{ route('admin.reports.bankingShop') }}" class="{{ request()->is('admin/banking-shop-report') || request()->is('admin/banking-shop-report/*') ? 'active' : '' }}">
                                            <i class="fa fa-fw fa-chevron-right"></i>
                                            {{ trans('cruds.report.bankingShop') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('banking_fs_report_access')
                                    <li>
                                        <a href="{{ route('admin.reports.bankingFs') }}" class="{{ request()->is('admin/banking-fs-report') || request()->is('admin/banking-fs-report/*') ? 'active' : '' }}">
                                            <i class="fa fa-fw fa-chevron-right"></i>
                                            {{ trans('cruds.report.bankingFs') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('direct_shop_report_access')
                                    <li>
                                        <a href="{{ route('admin.reports.directShop') }}" class="{{ request()->is('admin/direct-shop-report') || request()->is('admin/direct-shop-report/*') ? 'active' : '' }}">
                                            <i class="fa fa-fw fa-chevron-right"></i>
                                            {{ trans('cruds.report.directShop') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('wet_stock_report_access')
                                    <li>
                                        <a href="{{ route("admin.reports.wetStock") }}" class="{{ request()->is("admin/wet-stock-report") || request()->is("admin/wet-stock-report*") ? "active" : "" }}">
                                            <i class="fa fa-fw fa-chevron-right"></i>
                                            {{ trans('cruds.report.wetStock') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('daily_report_access')
                                    <li>
                                        <a href="{{ route("admin.reports.dailyReport") }}" class="{{ request()->is("admin/daily-report") || request()->is("admin/daily-report/*") ? "active" : "" }}">
                                            <i class="fa fa-fw fa-chevron-right"></i>
                                            {{ trans('cruds.report.dailyReport') }}
                                        </a>
                                    </li>
                                @endcan
                            </ul>
                        </li>
                    @endcan
                    @can('setting_access')
                        <li class="submenu">
                            <a href="#">
                                <i class="las la-cogs"></i>
                                <span> {{ trans('global.setting') }}</span>
                                <span class="menu-arrow"></span></a>
                            <ul style="display: none;">
                                @can('general_setting_access')
                                    <li>
                                        <a class="{{ Request::is('admin/general-setting') || Request::is('admin/general-setting/*') ? 'active' : '' }}"
                                            href="{{ route("admin.general.setting") }}">
                                        <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('global.generalSetting') }}
                                        </a>
                                    </li>
                                @endcan
                                @can('seo_setting_access')
                                <li>
                                    <a class="{{ Request::is('admin/seo-setting') || Request::is('admin/seo-setting/*') ? 'active' : '' }}"
                                        href="{{ route("admin.seo.setting") }}">
                                    <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('global.seoSetting') }}
                                    </a>
                                </li>
                                @endcan
                                {{-- @can('pwa_setting_access')
                                <li>
                                    <a class="{{ Request::is('admin/pwa-setting') || Request::is('admin/pwa-setting/*') ? 'active' : '' }}"
                                        href="{{ route("admin.pwa.setting") }}">
                                    <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('global.pwaSetting') }}
                                    </a>
                                </li>
                                @endcan --}}
                                @can('mail_setting_access')
                                <li>
                                    <a class="{{ Request::is('admin/mail-setting') || Request::is('admin/mail-setting/*') ? 'active' : '' }}"
                                        href="{{ route("admin.mail.setting") }}">
                                    <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('global.mailSetting') }}
                                    </a>
                                </li>
                                @endcan
                                @can('social_login_access')
                                <li>
                                    <a class="{{ Request::is('admin/social-login') || Request::is('admin/social-login/*') ? 'active' : '' }}"
                                        href="{{ route("admin.social.login") }}">
                                    <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('global.socialLogin') }}
                                    </a>
                                </li>
                                @endcan
                                @can('social_icon_access')
                                <li>
                                    <a class="{{ Request::is('admin/social') || Request::is('admin/social/*') ? 'active' : '' }}"
                                        href="{{ route("admin.social.index") }}">
                                    <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('global.socialIcon') }}
                                    </a>
                                </li>
                                @endcan
                                @can('backup_restore_access')
                                <li>
                                    <a class="{{ Request::is('admin/backup') || Request::is('admin/backup/*') ? 'active' : '' }}"
                                        href="{{ url('admin/backup') }}">
                                    <i class="fa fa-fw fa-chevron-right"></i>  {{ trans('global.backupRestore') }}
                                    </a>
                                </li>
                                @endcan
                            </ul>
                        </li>
                    @endcan
                    @php($unread = \App\Models\QaTopic::unreadCount())
                    @can('user_alert_access')
                        <li class="{{ Request::is('admin/messenger') || Request::is('admin/messenger/*') ? 'active' : '' }}">
                            <a href="{{ route("admin.messenger.index") }}">
                                <i class="las la-envelope"></i>
                                <span>
                                    {{ trans('global.messages') }}
                                </span>
                                @if($unread > 0)
                                    <span class="badge badge-pill bg-primary float-right">{{ $unread }}</span>
                                @endif
                            </a>
                        </li>
                    @endcan
                </ul>
            </div>
        </div>
    </div>
</div>
<form id="logoutform" action="{{ route('logout') }}" method="POST" style="display: none;">
    {{ csrf_field() }}
</form>
